Package org.apache.commons.beanutils

# Class ConvertingWrapDynaBean

java.lang.Object
org.apache.commons.beanutils.WrapDynaBean
org.apache.commons.beanutils.ConvertingWrapDynaBean

All Implemented Interfaces:
  `Serializable`, `DynaBean`

public class ConvertingWrapDynaBean extends WrapDynaBean

Implements `DynaBean` to wrap a standard JavaBean instance, so that DynaBean APIs can be used to access its properties, though this implementation allows type conversion to occur when properties are set. This means that (say) Strings can be passed in as values in setter methods and this DynaBean will convert them to the correct primitive data types.

IMPLEMENTATION NOTE - This implementation does not support the `contains()` and `remove()` methods.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.commons.beanutils.WrapDynaBean

  `dynaClass, instance`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConvertingWrapDynaBean(Object instance)`
  Construct a new `DynaBean` associated with the specified JavaBean instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `set(String name, Object value)`
  Set the value of the property with the specified name performing any type conversions if necessary.

  ### Methods inherited from class org.apache.commons.beanutils.WrapDynaBean

  `contains, get, get, get, getDynaClass, getDynaProperty, getInstance, remove, set, set`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConvertingWrapDynaBean

    public ConvertingWrapDynaBean(Object instance)
    Construct a new `DynaBean` associated with the specified JavaBean instance.
    Parameters:
      `instance` - JavaBean instance to be wrapped

- ## Method Details

  - ### set

    public void set(String name, Object value)
    Set the value of the property with the specified name performing any type conversions if necessary. So this method can accept String values for primitive numeric data types for example.
    Specified by:
      `set` in interface `DynaBean`
    Overrides:
      `set` in class `WrapDynaBean`
    Parameters:
      `name` - Name of the property whose value is to be set
      `value` - Value to which this property is to be set
    Throws:
      `IllegalArgumentException` - if there are any problems copying the property.